Last Comment Bug 808328 - Port |Bug 797745 - Move l10n-merge/relativesrcdir logic from config.mk into JarMaker.py, allow jar.mn to override| to comm-central
: Port |Bug 797745 - Move l10n-merge/relativesrcdir logic from config.mk into J...
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 19.0
Assigned To: Ian Neal
:
:
Mentors:
Depends on: 797745 808289
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-03 15:53 PDT by Ian Neal
Modified: 2012-11-11 13:29 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Port some patches [Checked in: Comment 7] (1.81 KB, patch)
2012-11-03 16:04 PDT, Ian Neal
bugspam.Callek: review+
Details | Diff | Splinter Review

Description Ian Neal 2012-11-03 15:53:22 PDT
Now that the following patches have landed on mozilla-central:
* Bug 797745 - Move l10n-merge/relativesrcdir logic from config.mk into JarMaker.py, allow jar.mn to override
* Bug 808289 - Win32/Linux Nightly localised builds use en-US strings for interface

The relevant bits need to be ported to comm-central
Comment 1 Ian Neal 2012-11-03 16:04:02 PDT
Created attachment 678063 [details] [diff] [review]
Port some patches [Checked in: Comment 7]

This also ports:
* Bug 748130 - Replace FORCE dependencies, repacks are a conditional force

Pushed to try-comm-central
Comment 2 Mozilla RelEng Bot 2012-11-03 21:00:34 PDT
Try run for 958506b2bfb4 is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=958506b2bfb4
Results (out of 37 total builds):
    success: 24
    warnings: 10
    failure: 3
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/iann_cvs@blueyonder.co.uk-958506b2bfb4
Comment 3 Ian Neal 2012-11-04 01:22:45 PDT
Comment on attachment 678063 [details] [diff] [review]
Port some patches [Checked in: Comment 7]

The two failures on leak test builds for Linux/Linux-x64 are logged in bug 808379 and are not to do with this patch.
Comment 4 Frank Wein [:mcsmurf] 2012-11-05 09:34:54 PST
BTW: Did someone test if Bug 808289 actually affects SeaMonkey and/or Thunderbird? I downloaded a SeaMonkey l10n nightly from ftp://ftp.mozilla.org/pub/mozilla.org/seamonkey/nightly/latest-comm-central-trunk-l10n/seamonkey-2.16a1.de.linux-i686.tar.bz2 and it looked fine (German UI).
Comment 5 Frank Wein [:mcsmurf] 2012-11-05 09:35:50 PST
Ah, wait, maybe the mozilla-central fix fixed it for comm-central, too. Not sure..
Comment 6 Justin Wood (:Callek) 2012-11-09 23:38:22 PST
Comment on attachment 678063 [details] [diff] [review]
Port some patches [Checked in: Comment 7]

Review of attachment 678063 [details] [diff] [review]:
-----------------------------------------------------------------

I will r+ based on code inspection this does look good.

I will caution you to please land this independant (on a day-wise) of the other build config changes you are doing, and to make sure you monitor l10n nightlies (and dep builds) both for a complete locale (like en-GB) a close to complete locale (like German) and an out-of-date locale (like Turkish). L10n breaks in weird ways, so I want you to verify that it works before this lands and after, otherwise we risk breaking it more.

Please verify both TB and SeaMonkey :-)
Comment 7 Ian Neal 2012-11-11 13:28:41 PST
Comment on attachment 678063 [details] [diff] [review]
Port some patches [Checked in: Comment 7]

http://hg.mozilla.org/comm-central/rev/84289543844f

Note You need to log in before you can comment on or make changes to this bug.